#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s; cin>>s;

    int x = s.size() - 1, n = 0;

    long long int broj;
    istringstream iss(s);
    iss>>broj;

    long long int deset = pow(10, x); //cout<<deset<<endl;

    for(long long int i = deset; i >= 1;)
    {
        if(broj < i*5)
        {
            if(broj >= i*2)
            {
                n += broj/(i*2);
                broj %= i*2;
            }
            else
            {
                n += broj/(i);
                broj %= i;
            }
        }
        else
        {
            n += broj/(i*5);
            broj %= i*5;
        }

        if(broj < i) i /= 10;

        //cout<<"n je "<<n<<" , a broj je "<<broj;
    }

    //cout<<endl<<"n pred ostatak "<<n<<", a broj je "<<broj<<endl;

    while(broj > 0)
    {
        if(broj < 5)
        {
            if(broj >= 2)
            {
                n += broj/2;
                broj %= 2;
            }
            else
            {
                n += broj;
                broj = 0;
            }
        }
        else
        {
            n += broj/5;
            broj %= 5;
        }

        //cout<<broj<<endl;
    }

    cout<<n;

    return 0;
}